Forumskeyboard_arrow_right Help keyboard_arrow_right Java Edition

Create Forum Thread
1

Trying to install gravity falls mod on Minecraft 1.15.2.

1 emeralds6 replies144 views
created 02/07/2020 8:58 pm by Kelvingaming2020
last reply 02/12/2020 5:14 pm
Ok so my son and I are new to installing mods on Minecraft however we are slowly but surely figuring it out. I've downloaded the forge client and installed it and the first mod we were looking at installing was gravity falls which was created for version 1.12.2. I've noticed you can change the versions of forge in the Minecraft launcher, so I picked 1.12.2 however that doesn't seem to be working. I've also noticed that if I try to run it on forge 1.15.2 it doesn't work so I'm guessing that is out of the question. Can anyone point me in the right direction? Thank you!!!!
Posted by avatar
Kelvingaming2020
Level 1 : New Miner
0

comment Login or register to post a reply.

6 replies

1
02/07/2020 10:26 pmhistory
Level 3 : Apprentice Miner
icephantom
Sounds like you are using the Vanilla Minecraft launcher. For modding, may I suggest MultiMC which you can get from here :

https://multimc.org/

It's much easier to set up seperate instances and works with Forge up to MC 1.12.2. You can make MC 1.13 + instances, but there's no 'install Forge' button available.
Since the mod you are looking at is a 1.12 version, then you are gonig to have to create a 1.12 instance with Forge. If you wish to stick with Vanilla launcher, you will have to download Forge for 1.12 and install it manually. If you choose MultiMC, create the 1.12 instance, then click on 'edit instance' over to the right, then you will see an 'install forge' option over to the right, just click on that andpick the version you wish to install from the list (usually the latest version is good), Once installed, launch the instance, then close it down.
Once you have installed forge, if on MultiMC, if you click on the 1.12 instance you just made, to the right, you will see a 'minecraft folder' option, click on that to open the folder where your 1.12 files are. You will see a 'mods' folder, drop the mod file you downloaded into the mods folder and re-launch the instance. You should now have Forge + your mod loaded and running. Of course you can add other mods as well if you wish. Nearly all mod files go in the mods folder.

....... by the way, I've just checked and the Gravity Falls mod is only available for MC 1.12 or lower, so putting into MC 1.15 won't work.
1
02/11/2020 4:28 pmhistory
Level 1 : New Miner
Kelvingaming2020
I'm going to try what you suggested however I'm a bit confused with your last sentence. Are you saying that I need to install and old version of MC?

Edit: Thank you man! I just did everything you said and it worked perfect!!!! I really appreciate you taking the time to talk to this newb.
1
02/11/2020 4:43 pm
Level 3 : Apprentice Miner
icephantom
Here's a little help file done in .rtf format, which hopefully you should be able to open ok - it just shows how to go about installing Forge into one of the instances you will be setting up.

https://www.dropbox.com/s/ns1umzd70ustano/MultiMChelp2.zip?dl=1
1
02/11/2020 4:31 pmhistory
Level 3 : Apprentice Miner
icephantom
No, sorry .......... I meant you'd have to use Minecraft version 1.12.2 not 1.15.x. and you can install that easy in MultiMC.
... which is I suppose what you meant
1
02/12/2020 7:12 am
Level 1 : New Miner
Kelvingaming2020
Thanks again! Nothing like being the hero to your kids. Couldn't have done it without you! Again I appreciate you being so helpful.
1
02/12/2020 5:14 pm
Level 3 : Apprentice Miner
icephantom
No problem ......... Happy Minecrafting .........
Planet Minecraft Logo

Website

© 2010 - 2020
www.planetminecraft.com

Welcome